# Phones

## The phone Object

* [Properties](#properties)
* [Errors](#errors)
* [Warnings](#warnings)
* [Events](#events)
* [Endpoints](#endpoints)

Represents an app user's mobile phone.

{% tabs %}
{% tab title="JSON" %}

```json
{
  created_at: [example value],
  custom_metadata: [example value],
  device_id: [example value],
  device_type: [example value],
  display_name: [example value],
  errors: [example value],
  nickname: [example value],
  warnings: [example value],
  workspace_id: [example value]
}
```

{% endtab %}
{% endtabs %}

***

## Properties

**`created_at`** *Datetime*

Date and time at which the phone was created.

***

**`custom_metadata`** *Record*

Optional [custom metadata](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/core-concepts/devices/adding-custom-metadata-to-a-device) for the phone.

***

**`device_id`** *UUID*

ID of the phone.

***

**`device_type`** *Enum*

Device type for phones.

<details>

<summary>Enum values</summary>

* `ios_phone`
* `android_phone`

</details>

***

**`display_name`** *String*

Display name of the phone. Defaults to `nickname` (if it is set) or `properties.appearance.name` otherwise. Enables administrators and users to identify the phone easily, especially when there are numerous phones.

***

**`errors`** *List* *of Objects*

Errors associated with the phone.

<details>

<summary>Child Object Properties</summary>

**`error_code`** *String*

**`message`** *String*

</details>

***

**`nickname`** *String*

Optional nickname to describe the phone, settable through Seam.

***

**`warnings`** *List* *of Objects*

Warnings associated with the phone.

<details>

<summary>Child Object Properties</summary>

**`message`** *String*

**`warning_code`** *String*

</details>

***

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/core-concepts/workspaces) that contains the phone.

***

## Events

**`phone.deactivated`**

A phone device was deactivated.

<details>

<summary>Properties</summary>

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the affected phone device.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `phone.deactivated`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`workspace_id`** *UUID*

ID of the workspace associated with the event.

</details>

***

## Endpoints

[**`/phones/deactivate`**](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/phones/deactivate)

Deactivates a phone, which is useful, for example, if a user has lost their phone. For more information, see [App User Lost Phone Process](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/capability-guides/mobile-access/managing-phones-for-a-user-identity#app-user-lost-phone-process).

[**`/phones/get`**](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/phones/get)

Returns a single phone entry matching the provided `device_id`.

[**`/phones/list`**](https://docs.seam.co/latest/~/revisions/DFdrUdS2jQOnbJTNDT5a/api/phones/list)

Returns a list of all phones. To filter the list of returned phones by a specific owner user identity or credential, include the `owner_user_identity_id` or `acs_credential_id`, respectively, in the request body.
